FactoryConfigurationError (XML Standard API)
Date: 2018-10-17

javax.xml.parsers

## Class FactoryConfigurationError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - javax.xml.parsers.FactoryConfigurationError

- All Implemented Interfaces:
    java.io.Serializable

      public class FactoryConfigurationError
      extends java.lang.Error

  Thrown when a problem with configuration with the Parser Factories exists. This error will typically be thrown when the class of a parser factory specified in the system properties cannot be found or instantiated.
  Version:
    $Revision: 569980 $, $Date: 2007-08-26 23:58:15 -0400 (Sun, 26 Aug 2007) $
  Author:
    Jeff Suttor
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactoryConfigurationError()` Create a new `FactoryConfigurationError` with no detail message.
    `FactoryConfigurationError(java.lang.Exception e)` Create a new `FactoryConfigurationError` with a given `Exception` base cause of the error.
    `FactoryConfigurationError(java.lang.Exception e, java.lang.String msg)` Create a new `FactoryConfigurationError` with the given `Exception` base cause and detail message.
    `FactoryConfigurationError(java.lang.String msg)` Create a new `FactoryConfigurationError` with the `String` specified as an error message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `getException()` Return the actual exception (if any) that caused this exception to be raised.
    `java.lang.String` | `getMessage()` Return the message (if any) for this error .

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoryConfigurationError

          public FactoryConfigurationError()

      Create a new `FactoryConfigurationError` with no detail message.

    - #### FactoryConfigurationError

          public FactoryConfigurationError(java.lang.String msg)

      Create a new `FactoryConfigurationError` with the `String` specified as an error message.
      Parameters:
        `msg` - The error message for the exception.

    - #### FactoryConfigurationError

          public FactoryConfigurationError(java.lang.Exception e)

      Create a new `FactoryConfigurationError` with a given `Exception` base cause of the error.
      Parameters:
        `e` - The exception to be encapsulated in a FactoryConfigurationError.

    - #### FactoryConfigurationError

          public FactoryConfigurationError(java.lang.Exception e,
                                           java.lang.String msg)

      Create a new `FactoryConfigurationError` with the given `Exception` base cause and detail message.
      Parameters:
        `e` - The exception to be encapsulated in a FactoryConfigurationError
        `msg` - The detail message.

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Return the message (if any) for this error . If there is no message for the exception and there is an encapsulated exception then the message of that exception, if it exists will be returned. Else the name of the encapsulated exception will be returned.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        The error message.

    - #### getException

          public java.lang.Exception getException()

      Return the actual exception (if any) that caused this exception to be raised.
      Returns:
        The encapsulated exception, or null if there is none.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.